CONVERT-LY(1)

NAME
convert-ly - manual page for convert-ly 2.18.2

SYNOPSIS
convert-ly [OPTION]... FILE

DESCRIPTION
Update LilyPond input to newer version. By default, update from the version taken from the \version command, to the current LilyPond version. If FILE is `-', read from standard input.

OPTIONS

--version
    show version number and exit

-h, --help
    show this help and exit

-f, --from=VERSION
    start from VERSION [default: \version found in file]

-e, --edit
    edit in place

-l, --loglevel=LOGLEVEL
    Print log messages according to LOGLEVEL (NONE, ERROR, WARNING, PROGRESS (default), DEBUG)

-n, --no-version
    do not add \version command if missing

-c, --current-version
    force updating \version number to 2.18.2

-d, --diff-version-update
    only update \version number if file is modified

-s, --show-rules
    show rules [default: -f 0, -t 2.18.2]

-t, --to=VERSION
    convert to VERSION [default: 2.18.2]

-b, --backup-numbered
    make a numbered backup [default: filename.ext~]

-w, --warranty
    show warranty and copyright

EXAMPLES

    $ convert-ly -e old.ly
    $ convert-ly --from=2.3.28 --to=2.5.21 foobar.ly > foobar-new.ly

REPORTING BUGS
Report bugs via http://post.gmane.org/post.php?group=gmane.comp.gnu.lilypond.bugs

SEE ALSO
The full documentation for convert-ly is maintained as a Texinfo manual. If the info and convert-ly programs are properly installed at your site, the command

    info convert-ly

should give you access to the complete manual.